widgets_helper.c File Reference
`#include "widgets_helper.h"`
Include dependency graph for widgets_helper.c:

Go to the source code of this file.

## Functions

void | wh_add_in_table (GtkWidget *table, GtkWidget *widget)
void | wh_add_in_table_with_label (GtkWidget *table, const gchar *label_text, GtkWidget *widget)
void | wh_add_in_table_with_label_expand (GtkWidget *table, const gchar *label_text, GtkWidget *widget)
gboolean | wh_container_has_child (GtkContainer *container, GtkWidget *my_child)
GtkWidget * | wh_create_cool_button (gchar *stock_id, gchar *label_text, gint toggle_or_not)
GtkWidget * | wh_create_cool_label (gchar *stock_id, gchar *label_text)
GtkWidget * | wh_create_int_spinner_in_box (gchar *before_label, gchar *after_label, gdouble initial_value, gdouble minimum_value, gdouble maximum_value, gdouble step_increment, gdouble page_increment, gchar *after_newline_label, void(*spinner_callback)(GtkWidget *spinner, ui_state *ui), ui_state *ui, GtkWidget *box)
GtkWidget * | wh_create_int_spinner_in_box_with_top_width (gchar *before_label, gchar *after_label, gdouble initial_value, gdouble minimum_value, gdouble maximum_value, gdouble step_increment, gdouble page_increment, gchar *after_newline_label, void(*spinner_callback)(GtkWidget *spinner, ui_state *ui), ui_state *ui, GtkWidget *box, gint top_width)
GtkWidget * | wh_create_scrolled_window ()
GtkWidget * | wh_create_window_with_close_button (gchar *title, gint width, gint height, GtkWindowPosition position, GtkWindow *parent_window, GtkWidget *main_area_widget, GtkWidget *bottom_widget,...)
void | wh_get_pointer (GdkEventMotion *event, gint *x, gint *y, GdkModifierType *state)
void | wh_get_widget_size (GtkWidget *widget, gint *width, gint *height)
GtkWidget * | wh_hbox_new ()
GtkWidget * | wh_hscale_new (GtkAdjustment *adjustment)
GtkWidget * | wh_hscale_new_with_range (gdouble min, gdouble max, gdouble step)
GtkWidget * | wh_new_button (const gchar *button_label)
GtkWidget * | wh_new_entry (gpointer callback, ui_state *ui)
GtkWidget * | wh_new_table ()
void | wh_put_in_hbox_and_attach_to_vbox (GtkWidget *widget, GtkWidget *vbox, gint vertical_margin)
void | wh_put_in_hbox_and_attach_to_vbox_with_bottom_margin (GtkWidget *widget, GtkWidget *vbox, gint vertical_margin, gint bottom_margin)
GtkWidget * | wh_put_in_new_hbox_with_margin_level (GtkWidget *widget, gint margin_level)
void | wh_set_browser_directory_handler (ui_state *ui, GtkWidget *dialog)
void | wh_set_image_on_button (GtkButton *button, GtkWidget *image)
GtkWidget * | wh_set_title_and_get_vbox (GtkWidget *widget, const gchar *title)
void | wh_show_window (GtkWidget *window)
GtkWidget * | wh_vbox_new ()

## Detailed Description

this file contains the code for the widgets helpers.

Definition in file widgets_helper.c.

## Function Documentation

gboolean wh_container_has_child | ( | GtkContainer * | container,
|  | GtkWidget * | my_child
| ) |  |

Does this GtkContainer contain that object?

Parameters

  GtkContainer | The Container that has to be searched for the child object.
  my_child | The child that has to be searched for.

Definition at line 295 of file widgets_helper.c.

Referenced by show_connect_button().

Here is the caller graph for this function:

GtkWidget* wh_create_cool_button | ( | gchar * | stock_id,
|  | gchar * | label_text,
|  | gint | toggle_or_not
| ) |  |

creates a cool button with image from stock

Parameters

  label_text | The text that has to be displayed on the button
  stock_id | The name of the stock image to be displayed on the button
  toggle_or_not | TRUE means we create a toggle button

Definition at line 341 of file widgets_helper.c.

Referenced by create_freedb_frame().

Here is the caller graph for this function:

GtkWidget* wh_create_scrolled_window | ( |  | ) |

creates a scrolled window

Definition at line 279 of file widgets_helper.c.

GtkWidget* wh_set_title_and_get_vbox | ( | GtkWidget * | widget,
|  | const gchar * | title
| ) |  |

Generates a window portion containing a caption and a vbox.

This function works like a chapter heading in a text processing system: You specify a title and the text processor returns an object consisting of a title and a vbox you can put the chapter contents in.
Is used to generate the consecutive named sections in a preferences tab.

Definition at line 57 of file widgets_helper.c.